Minor snort bug.



  • This doesn't appear to harm functionality at all (that I can tell), but there's a small php warning that pops up anytime you go to the Update Rules tab in Snort:

    Warning: file_get_contents(http://www.snort.org/pub-bin/downloads.cgi): failed to open stream: HTTP request failed! HTTP/1.1 403 Forbidden in /usr/local/www/snort_download_rules.php on line 98

    I'm not sure what the deal is there - just thought I'd bring it up.



  • The tab works fine here.
    Using 1.2.1-RC1 built on Fri Aug 15 20:43:59 EDT 2008, Snort 2.8.2.1.
    Can you browse to the "403 forbidden" the location manually?
    Did you have this problem all the time or just recently?
    Oink code still good?
    reinstall package GUI components…



  • It sounds like you're using the snort package with pfsense 1.2, which isn't currently supported. Don't uninstall or try reinstalling… it will break your installation, since the files on the server are currently only compatible with pfsense 1.2.1.

    FYI, those bugs have been fixed, and will be uploaded to the server at some point.


Log in to reply